PDF4.dev
Logs
GET
/api/v1/logs

Authorization

AuthorizationRequiredBearer <token>

API key from Settings page. Keys start with p4_live_ prefix.

In: header

Query Parameters

limitinteger

Results per page (max 100)

Default: 50Maximum: 100
cursorstring

Cursor for pagination. Use next_cursor from a previous response to fetch the next page.

statusstring

Filter by generation status

Value in: "success" | "error"
template_idstring

Filter by template ID

fromstring

Start date (ISO 8601)

Format: "date-time"
tostring

End date (ISO 8601)

Format: "date-time"
curl -X GET "https://docs.pdf4.dev/api/proxy/api/v1/logs?limit=50&cursor=%3Cstring%3E&status=success&template_id=%3Cstring%3E&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z" \
  -H "Authorization: Bearer <token>"

Logs with cursor pagination

{
  "data": [
    {
      "id": "string",
      "template_id": "string",
      "template_name": "string",
      "api_key_id": "string",
      "status": "success",
      "duration_ms": 0,
      "size_bytes": 0,
      "error": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}